net.sf.jasperreports.engine.design

## Class JRJdtCompiler.CompilationUnit

- java.lang.Object
- - net.sf.jasperreports.engine.design.JRJdtCompiler.CompilationUnit

- All Implemented Interfaces:
    org.eclipse.jdt.internal.compiler.env.ICompilationUnit, org.eclipse.jdt.internal.compiler.env.IDependent
  Enclosing class:
    JRJdtCompiler

      public static class JRJdtCompiler.CompilationUnit
      extends java.lang.Object
      implements org.eclipse.jdt.internal.compiler.env.ICompilationUnit

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `className`
    `protected java.lang.String` | `srcCode`

    - ### Fields inherited from interface org.eclipse.jdt.internal.compiler.env.IDependent

      `JAR_FILE_ENTRY_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRJdtCompiler.CompilationUnit(java.lang.String srcCode, java.lang.String className)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char[]` | `getContents()`
    `char[]` | `getFileName()`
    `char[]` | `getMainTypeName()`
    `char[][]` | `getPackageName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### srcCode

          protected java.lang.String srcCode

    - #### className

          protected java.lang.String className

  - ### Constructor Detail

    - #### JRJdtCompiler.CompilationUnit

          public JRJdtCompiler.CompilationUnit(java.lang.String srcCode,
                                       java.lang.String className)

  - ### Method Detail

    - #### getFileName

          public char[] getFileName()

      Specified by:
        `getFileName` in interface `org.eclipse.jdt.internal.compiler.env.IDependent`

    - #### getContents

          public char[] getContents()

      Specified by:
        `getContents` in interface `org.eclipse.jdt.internal.compiler.env.ICompilationUnit`

    - #### getMainTypeName

          public char[] getMainTypeName()

      Specified by:
        `getMainTypeName` in interface `org.eclipse.jdt.internal.compiler.env.ICompilationUnit`

    - #### getPackageName

          public char[][] getPackageName()

      Specified by:
        `getPackageName` in interface `org.eclipse.jdt.internal.compiler.env.ICompilationUnit`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com